\version "2.12.0"
#(ly:set-option 'point-and-click #f)
% expanding: header.ly
\header {
	composer = "Vincenzo Ruffo"
        copyright = "© Serpent Publications 2012 www.laymusic.org"
	footnotes = ""
	title = "La Piva"
	source = "Ogni Sorte Editions SR3"
}

% Local Variables:
% coding: utf-8
% End:

\header {instrument = "Basso"}
% expanding: timesig.ly
%%%settime = {  
%%%\override Staff.TimeSignature   #'style = #'mensural
%%%\time 4/4
%%%s128
%%%\set Score.measurePosition = #(ly:make-moment 0 2)
%%%\override Staff.TimeSignature   #'style = #'single-digit
%%%  \time  3/2
%%%\set Score.measurePosition = #(ly:make-moment 0 2)
%%%}

settime = {
#(define ((compound-time one two num) grob)
   (grob-interpret-markup grob
                          (markup  #:override '(baseline-skip . 0)
                                   #:number
                                  (#:line ((#:vcenter #:musicglyph
"timesig.C44")
                                          (#:vcenter two))))))

  \override Staff.TimeSignature #'stencil = #(compound-time "C" "3" "1")
  \time 3/2
}

%%%#(define ((compound-time one two num) grob)
%%%   (grob-interpret-markup grob
%%%                          (markup #:override '(baseline-skip . 0) #:number
%%%                                  (#:line ((#:column (one num))
%%%                                           #:vcenter "+"
%%%                                           (#:column (two num)))))))

%settime = {\markup{\musicglyph #"timesig.C44" \musicglyph #"three" }}

%%%settime = \override Staff.TimeSignature #'stencil = #(\markup{\musicglyph #"timesig.C44" \musicglyph #"three" }})
% expanding: bars.lyi
singlebar = {	 \once \override Staff.BarLine #'transparent = ##f \bar "|"}
doublebar = {	 \once \override Staff.BarLine #'transparent = ##f \bar "||"}
endbar = {	 \once \override Staff.BarLine #'transparent = ##f \bar "|."}
% expanding: voicedefault.ly
\version "2.15.19"
voicedefault =  {
\set Staff.autoBeaming = ##f
$(set-accidental-style 'forget)
\override NoteHead    #'style = #'baroque
\set Staff.midiInstrument = "oboe"
%\set Score.defaultBarType = "empty"
\override Staff.BarLine #'transparent = ##t
\override Staff.BarLine #'extra-spacing-width = #'(0 . 0)
\override Staff.TimeSignature   #'style = #'neomensural

%\compoundMeter #'((4 4) (3 2)) 
%\once \override Staff.TimeSignature #'extra-spacing-width = #'(+inf.0 . -inf.0)%\once \override Staff.TimeSignature #'extra-spacing-width = #'(+inf.0 . -inf.0)

%  \override Staff.TimeSignature   #'style = #'C
% \time 2/2
%\settime
%s128
%\once \override Staff.TimeSignature #'extra-spacing-width = #'(0.0 . 0.0 )
%\override Staff.TimeSignature   #'style = #'single-digit
%\time 3/2
%s128
%        \set Score.measurePosition = #(ly:make-moment 0 2)

%\key g \minor
\settime
%%%\override Staff.TimeSignature   #'style = #'neomensural
%%%\time 6/4
\key c \major

%\partial 4  

}
% Local Variables:
% coding: utf-8
% End:

% expanding: accidentals.lyi
af = {	     \set suggestAccidentals = ##t }
an = {	     \set suggestAccidentals = ##f }
% expanding: bassusnotes.ly
bassusnotes = {
  \clef "G_8"
  \relative c' {
    g2 a4 g2 f4 e2 d4 c2 g'4 g2 f4 e2 d4 c2. c4^"A"
    r4 c d2 e4 f2 d4 e2 d4 c2 g'4 g2 f4 e2 d4 c2 c'4 c2^"B" g4. a8 b4 c g d8 e f4 g e f8 d g f e4 d g8 a b4 c g2 d4 e4. f8 g4 c,^"C" c'4. b8 a g f4 g c, c' d g,8 a b c d4 g,8 f e4 d d' g, c8 d e4 e, f c2 g' c,4 f e2^"D" d4 a' c b c a g4. f8 e4 d c c' g a4. g8 f4 e d c g'2 c4 f,2 g4 c, c' g a2 g4 e c d c8 d e f g4 c,1.\fermata
  }
  \endbar
}

% expanding: slower.ly
looksSlower =
#(define-music-function (parser location music) (ly:music?)
  (let ((new-music (ly:music-deep-copy music)))
   (shift-duration-log new-music -1 0)
   new-music))

\score{
  <<
	\context Staff="default"
	{
	  \transpose c c {
	    \clef "bass"
	    \voicedefault 
	    \looksSlower{\bassusnotes}
%	    \bassusnotes
	  }
	}
%%%	\addlyrics {\bassusfour}
%	\addlyrics {\bassusenglish}
      >>
	\layout {
	  \context{
		\Voice
		\consists Ambitus_engraver
%		\remove "Forbid_line_break_engraver"	      
	      }
	  \context{
	    \Staff
	    \consists Custos_engraver
	    \override Custos #'style = #'mensural
	  }	
	}
\midi {
    \context {
      \Score
      tempoWholesPerMinute = #(ly:make-moment 120 4)
      }
    }
}


% Local Variables:
% coding: utf-8
% End:

