\version "2.12.0"
#(ly:set-option 'point-and-click #f)
% expanding: header.ly
\header {
	composer = "Vincenzo Ruffo"
        copyright = "© Serpent Publications 2012 www.laymusic.org"
	footnotes = ""
	title = "La Piva"
	source = "Ogni Sorte Editions SR3"
}

% Local Variables:
% coding: utf-8
% End:

% expanding: accidentals.lyi
af = {	     \set suggestAccidentals = ##t }
an = {	     \set suggestAccidentals = ##f }
% expanding: bars.lyi
singlebar = {	 \once \override Staff.BarLine #'transparent = ##f \bar "|"}
doublebar = {	 \once \override Staff.BarLine #'transparent = ##f \bar "||"}
endbar = {	 \once \override Staff.BarLine #'transparent = ##f \bar "|."}
% expanding: cantusnotes.ly
cantusnotes = {
  \relative c'' {
    g4 d' c b2 a4 g4. e8 f4 e4. c8 d4 b4. c8 d4 e g f e4. f8 g4 c,^"A" f e d8 e f4 e c f2 e4 g f g4. a8 b c d4 d,8 e f4 g2 f4 g4. f8 e4 g4.^"B" a8 b c d2 e4 d2 c4 b2 a4 g2 d'4 d2 c4 b2 a4 g2. g4^"C"
    r4 g a2 b4 c2 a4 b2 a4 g2 d'4 d2 c4 b2 a4 g4. a8 b c d b c4. d8 e4^"D" b8 c d4 c g4. f8 e4 c' b4. a8 b c d4 g,4. a8 b4 c4. b8 a4 g8 e f4 g4. a8 b4 c2 a4 b c g4. f8 e4 c' b2 c4 a c2 b4 c1.\fermata
    \endbar
  }
}

% expanding: tenornotes.ly
tenornotes = {
  \clef "G_8"
  \relative c' {
    g4 b c d b8 c d4 e b8 c d4 g, c b d4. c16 b a4 b4. c8 d4 g, c4. d8 e4^"A" d c a d b a8 b c4 d g,8 a b c d4 e c d b4. g8 a4 b g a8 b c4 g'4. f8 e2^"B" d4 g2 g4 g f4. e8 d4 e c8 d b a b g a4 b8 c d4 e d4. e8 f4 e c b c4.^"C" d8 e2 f4 d e8 f g e f4 g2 f4 d e f2 g4 e8 f g2 c,4. d8 e4 d g2 a4 g2^"D" f4 e2 d4 c2 g'4 g2 f4 e2 d4 c2. c4
    r4 c d2 e4 f2 d4 e2 d4 c2 g'4 g2 f4 e2 d4 c2. c\fermata
    \endbar
}
}
% expanding: bassusnotes.ly
bassusnotes = {
  \clef "G_8"
  \relative c' {
    g2 a4 g2 f4 e2 d4 c2 g'4 g2 f4 e2 d4 c2. c4^"A"
    r4 c d2 e4 f2 d4 e2 d4 c2 g'4 g2 f4 e2 d4 c2 c'4 c2^"B" g4. a8 b4 c g d8 e f4 g e f8 d g f e4 d g8 a b4 c g2 d4 e4. f8 g4 c,^"C" c'4. b8 a g f4 g c, c' d g,8 a b c d4 g,8 f e4 d d' g, c8 d e4 e, f c2 g' c,4 f e2^"D" d4 a' c b c a g4. f8 e4 d c c' g a4. g8 f4 e d c g'2 c4 f,2 g4 c, c' g a2 g4 e c d c8 d e f g4 c,1.\fermata
  }
  \endbar
}

% expanding: timesig.ly
%%%settime = {  
%%%\override Staff.TimeSignature   #'style = #'mensural
%%%\time 4/4
%%%s128
%%%\set Score.measurePosition = #(ly:make-moment 0 2)
%%%\override Staff.TimeSignature   #'style = #'single-digit
%%%  \time  3/2
%%%\set Score.measurePosition = #(ly:make-moment 0 2)
%%%}

settime = {
#(define ((compound-time one two num) grob)
   (grob-interpret-markup grob
                          (markup  #:override '(baseline-skip . 0)
                                   #:number
                                  (#:line ((#:vcenter #:musicglyph
"timesig.C44")
                                          (#:vcenter two))))))

  \override Staff.TimeSignature #'stencil = #(compound-time "C" "3" "1")
  \time 3/2
}

%%%#(define ((compound-time one two num) grob)
%%%   (grob-interpret-markup grob
%%%                          (markup #:override '(baseline-skip . 0) #:number
%%%                                  (#:line ((#:column (one num))
%%%                                           #:vcenter "+"
%%%                                           (#:column (two num)))))))

%settime = {\markup{\musicglyph #"timesig.C44" \musicglyph #"three" }}

%%%settime = \override Staff.TimeSignature #'stencil = #(\markup{\musicglyph #"timesig.C44" \musicglyph #"three" }})
% expanding: voicedefault.ly
\version "2.15.19"
voicedefault =  {
\set Staff.autoBeaming = ##f
$(set-accidental-style 'forget)
\override NoteHead    #'style = #'baroque
\set Staff.midiInstrument = "oboe"
%\set Score.defaultBarType = "empty"
\override Staff.BarLine #'transparent = ##t
\override Staff.BarLine #'extra-spacing-width = #'(0 . 0)
\override Staff.TimeSignature   #'style = #'neomensural

%\compoundMeter #'((4 4) (3 2)) 
%\once \override Staff.TimeSignature #'extra-spacing-width = #'(+inf.0 . -inf.0)%\once \override Staff.TimeSignature #'extra-spacing-width = #'(+inf.0 . -inf.0)

%  \override Staff.TimeSignature   #'style = #'C
% \time 2/2
%\settime
%s128
%\once \override Staff.TimeSignature #'extra-spacing-width = #'(0.0 . 0.0 )
%\override Staff.TimeSignature   #'style = #'single-digit
%\time 3/2
%s128
%        \set Score.measurePosition = #(ly:make-moment 0 2)

%\key g \minor
\settime
%%%\override Staff.TimeSignature   #'style = #'neomensural
%%%\time 6/4
\key c \major

%\partial 4  

}
% Local Variables:
% coding: utf-8
% End:

% expanding: slower.ly
looksSlower =
#(define-music-function (parser location music) (ly:music?)
  (let ((new-music (ly:music-deep-copy music)))
   (shift-duration-log new-music -1 0)
   new-music))
\score{
         <<

  <<
	\context Staff="1"
	{
	  \transpose c c {
	    \voicedefault 
	    \looksSlower{\cantusnotes }
%	    \cantusnotes
	  }
	}
      >>


<<	\context Staff="3"
	{
	  \transpose c c {
	    \voicedefault
	    \looksSlower{\tenornotes}
%	    \tenornotes
	  }
	}

>>


<<	\context Staff="6"
	{
	  \transpose c c {
%	    \clef "bass"
	    \voicedefault
	    \looksSlower{\bassusnotes}
% 	    \bassusnotes
	  }
	}
>>

    >>
	\layout {
	  \context{
		\Voice
		\consists Ambitus_engraver
		\remove "Forbid_line_break_engraver"	      
	      }
	  \context{

	    \Staff
	    \consists "Timing_translator" 
	    \consists "Default_bar_line_engraver"
	    \consists "Repeat_acknowledge_engraver"
	  }
	  \context{
	    \Score
	    \remove "Timing_translator" 
	    \remove "Default_bar_line_engraver"
	    \remove "Repeat_acknowledge_engraver"
	  }

	}
\midi {
    \context {
      \Score
      tempoWholesPerMinute = #(ly:make-moment 120 4)
      }
    }
}
% Local Variables:
% coding: utf-8
% End:

